# CSVINFO.CGI

Section: User Commands (1)
Updated: Version 4.3.28: 17 Jan 2017
Index Return to Main Contents

## NAME

csvinfo.cgi - CGI program to show host information from a CSV file

## SYNOPSIS

csvinfo.cgi

## DESCRIPTION

csvinfo.cgi is invoked as a CGI script via the csvinfo.sh CGI wrapper. Based on the parameters it receives, it searches a comma- separated file for the matching host, and presents the information found as a table.

csvinfo.cgi is passed a QUERY_STRING environment variable with the following parameters:

key (string to search for, typically hostname)
column (columnnumber to search - default 0)
db (name of the CSV database file in $XYMONHOME/etc/, default hostinfo.csv)
delimiter (delimiter character for columns, default semi-colon)

CSV files are easily created from e.g. spreadsheets, by exporting them in CSV format. You should have one host per line, with the first line containing the column headings. Despite their name, the default delimiter for CSV files is the semi-colon - if you need a different delimiter, invoke csvinfo.cgi with the "delimiter=<character>" in the query string.

## Example usage

This example shows how you can use the csvinfo CGI. It assumes you have a CSV-formatted file with information about the hosts stored as $XYMONHOME/etc/hostinfo.csv, and the hostname is in the first column of the file.

Use with the xymongen --docurl
  The --docurl option to xymongen(1) sets up all of the hostnames on your Xymon webpages to act as links to a CGI script. To invoke the csvinfo CGI script, run xymongen with the option

  --docurl=/cgi-bin/csvinfo.sh?db=hostinfo.csv&key=%s

## SEE ALSO

hosts.cfg(5), xymonserver.cfg(5), xymongen(1)

## Index

NAME
SYNOPSIS
DESCRIPTION
Example usage
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 00:13:25 GMT, January 18, 2017